### Method

# FwupdPlugin UdevDevice set_device_file

since: 1.8.7

#### Declaration [src]

    void
    fu_udev_device_set_device_file (
      FuUdevDevice* self,
      const gchar* device_file
    )

#### Description [src]

Sets the device file to use for reading and writing.

Available since: 1.8.7

Sets property | `FwupdPlugin.UdevDevice:device-file`

#### Parameters

`device_file`

  Type: `const gchar*`

  A device path.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.